using System;

namespace Zadatak2
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] input = Console.ReadLine().Split(' ');
            int n = Convert.ToInt32(input[0]);
            int m = Convert.ToInt32(input[1]);
            int[] druzeljubivost = new int[n];
            int[,] prijatelji = new int[m, 2];
            int rezultat = 0;

            for (int i = 0; i < n; i++)
            {
                druzeljubivost[i] = Convert.ToInt32(Console.ReadLine());
            }

            for (int i = 0; i < m; i++)
            {
                string[] input1 = Console.ReadLine().Split(' ');
                prijatelji[i, 0] = Convert.ToInt32(input1[0]);
                prijatelji[i, 1] = Convert.ToInt32(input1[1]);

                int suma1 = druzeljubivost[Convert.ToInt32(input1[0]) - 1] + druzeljubivost[Convert.ToInt32(input1[1]) - 1];
                int suma2 = -druzeljubivost[Convert.ToInt32(input1[0]) - 1] - druzeljubivost[Convert.ToInt32(input1[1]) - 1];

                rezultat += Math.Max(suma1, suma2);
            }

            Console.WriteLine(Math.Abs(rezultat));
        }
    }
}